body.filter-menu-opened
{
	/*padding-right: 350px;*/
}
.filter-toggle
{
	gap: 8px;
	width: 34px;
	height: 34px;
	display: flex;
	flex-shrink: 0;
	cursor: pointer;
	transition: 0.2s;
	align-items: center;
	justify-content: center;
}
body .filter-toggle.filtered
{
	color: tomato;
}
body.filter-menu-opened .filter-toggle
{
	color: #fff;
	border-radius: 50%;
	background-color: #000;
}
body.filter-menu-opened .filter-toggle.filtered
{
	color: tomato;
}
body.filter-menu-opened .filter-panel
{
	opacity: 1;
	display: flex;
	pointer-events: unset;
	transform: translateX(0);
}
body.no-filter .filter-panel,
body.no-filter .filter-toggle
{
	display: none !important;
}
body .filter-panel
{
	position: fixed;
	overflow: hidden;
	overflow-y: auto;
	top: 53px;
	right: 0;
	bottom: 0;
	z-index: 10;
	opacity: 0;
	display: flex;
	width: 450px;
	transition: translate 0.2s;
	flex-direction: column;
	background-color: #fff;
	padding: 24px;
	box-shadow: -7px 0 7px -7px rgba(0, 0, 0, 0.1) !important;
	transform: translateX(100%);
	pointer-events: none;
}
body .filter-panel.has-header
{
	box-shadow: -7px 68px 7px -7px rgba(0, 0, 0, 0.1) !important;
}
body .filter-panel .filter-panel-header
{
	height: 68px;
	background-color: #0d3148;
	margin: -16px -16px 16px -16px;
}
body .filter-panel:not(.has-header) .filter-panel-header
{
	display: none;
}
body .cluster-filter > div
{
	margin-bottom: 10px !important;
}

body .filter-panel .filter-view
{
	display: flex;
	height: 100%;
	row-gap: 24px;
	min-height: fit-content;
	flex-direction: column;
}
body .filter-panel .filter-view.active
{
}
body .filter-panel .filter-view:not(.active)
{
	display: none;
}

body .filter-panel .filter-view > .filter-group
{
	display: flex;
	flex-wrap: wrap;
	row-gap: 24px;
}
body .filter-panel .filter-view > .filter-group + .filter-group
{
	border-top: 1px dashed #ddd;
}
body .filter-panel .filter-view > .filter-group > .filter-wrapper
{
	/*margin: 16px;*/
}

body .filter-panel .filter-wrapper.text-filter-wrapper
{
	position: relative;
}

body .filter-panel .filter-wrapper.text-filter-wrapper .filter-input-label
{
	position: absolute;
	top: -8px;
	left: 8px;
	z-index: 1;
	font-size: 13px;
	max-width: calc(100% - 16px);
	user-select: none;
	pointer-events: none;
	text-overflow: ellipsis;
	overflow: hidden;
	background-color: #fff;
	padding: 0 4px;
	transition: 0.2s;
	white-space: nowrap;
}

input.filter-input:active + .filter-input-label, input.filter-input:focus  + .filter-input-label {
	color: var(--app-black);
}

body .filter-panel .filter-wrapper.select-filter-wrapper
{
	position: relative;
}
body .filter-panel .filter-wrapper.select-filter-wrapper .select-filter-label
{
	position: absolute;
	top: -8px;
	left: 8px;
	z-index: 1;
	font-size: 13px;
	max-width: calc(100% - 16px);
	user-select: none;
	pointer-events: none;
	text-overflow: ellipsis;
	overflow: hidden;
	background-color: #fff;
	padding: 0 4px;
	transition: 0.2s;
	white-space: nowrap;
}
.dropdown.bootstrap-select.show-tick.form-control.show + .select-filter-label
{
	color: var(--app-black);
}
.dropdown.bootstrap-select.show-tick.form-control.show > button
{
	border-color: var(--app-black) !important;
}

body .filter-panel .filter-wrapper.text-filter-wrapper,
body .filter-panel .filter-wrapper.select-filter-wrapper,
body .filter-panel .filter-wrapper.number-filter-wrapper
{
	width: 100%;
}

body .filter-panel .filter-wrapper.number-filter-wrapper
{
	position: relative;
}
body .filter-panel .filter-wrapper.number-filter-wrapper .filter-input-label
{
	position: absolute;
	top: -8px;
	left: 8px;
	z-index: 1;
	font-size: 13px;
	max-width: calc(100% - 16px);
	user-select: none;
	pointer-events: none;
	text-overflow: ellipsis;
	overflow: hidden;
	background-color: #fff;
	padding: 0 4px;
	transition: 0.2s;
	white-space: nowrap;
}

body .filter-panel .filter-apply-wrapper {
	flex: 1;
	display: flex;
	align-items: start;
	justify-content: center;
}